import DatatableConfiguration from './datatable-configuration';
import { settings } from 'cluster';

export default class DatatableAjax implements DataTables.AjaxSettings {
  public data:
    | object
    | ((data: object, settings: DatatableConfiguration) => string | object);
  public dataSrc: string | ((data: any) => any[]);

  constructor(
    data:
      | object
      | ((data: object, settings: DatatableConfiguration) => string | object),
    dataSrc?: string | ((data: any) => any[])
  ) {
    this.data = data;
    this.dataSrc = dataSrc;
  }
}
