import { Repository } from 'aurelia-orm';
// import DatatableColumns from './datatable-columns';
// import DatatableResponsive from './datatable-responsive';
import DatatableConfiguration from './datatable-configuration';
import DatatableAjax from './datatable-ajax';
import DatatableColumnsSettings from './datatable-columns-settings';
// import DatatableButtons from './datatable-buttons';

export default class DatatableConfigurator {
  public generateDatatableConfiguration(
    repository: Repository,
    columns: DatatableColumnsSettings[]
    // buttons: DatatableButtons,
    // responsive: DatatableResponsive
  ): DatatableConfiguration {
    let ajax = this.getAjaxFromRepository(repository);

    return new DatatableConfiguration(ajax, columns);
  }

  private getAjaxFromRepository(repository: Repository): DatatableAjax {
    let dataFunction = (data: object, settings: DatatableConfiguration) => {
      return repository.find();
    };

    return new DatatableAjax(dataFunction);
  }
}
