export default class DataGenerator {
  /**
   * Generate a number that is not contained in an array of number
   *
   * @static
   * @param {number[]} array
   * @returns {number}
   * @memberof DataGenerator
   */
  public static generateNumberThatIsNotIn(array: number[]): number {
    let generatedNumber = Math.floor(
      Math.random() * Number.MAX_SAFE_INTEGER + 1
    );

    while (array.includes(generatedNumber)) {
      generatedNumber = Math.floor(Math.random() * Number.MAX_SAFE_INTEGER + 1);
    }

    return generatedNumber;
  }
}
